Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453598 - Return null from SessionManager::get() if there is no message
Summary: Return null from SessionManager::get() if there is no message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: 1.0.1
: ---
Assignee: messaging-bugs
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 459259
TreeView+ depends on / blocked
 
Reported: 2008-07-01 14:38 UTC by Gordon Sim
Modified: 2011-08-12 16:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-06 19:09:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0640 normal SHIPPED_LIVE Red Hat Enterprise MRG bug fix and enhancement update 2008-10-06 19:08:07 UTC

Description Gordon Sim 2008-07-01 14:38:31 UTC
If there is no message on the queue, the user may wish the Sessionmanager::get()
call to return immediately.

Comment 1 Gordon Sim 2008-07-10 14:44:58 UTC
merged to qpid.0-10 branch as r675598

Comment 3 Frantisek Reznicek 2008-09-10 07:50:24 UTC
RHTS test MRG_Messaging/qpid_nonblock_empty_q_bz453598 proves that Sessionmanager::get() call not blocks program flow in case no message on queue and returns 0 | NULL immediately. (ON_QA->VERIFIED)

Comment 5 errata-xmlrpc 2008-10-06 19:09:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html


Note You need to log in before you can comment on or make changes to this bug.